local font = [[Interface\Addons\RogerBigDam\BigDam.ttf]];

local LSM = LibStub("LibSharedMedia-3.0") 
LSM:Register("font", "Big Dam", font);

DAMAGE_TEXT_FONT = font;

local optionsTable = {
	name = "Roger Big Dam",
	type = 'group',
	args = {
		worldTextScaleSlider = {
			type = 'range',
			name = "World Text Scale",
			desc = "Changes damage number size",
			min = 0.5,
			max = 2.5,
			step = 0.1,
			get = function() return tonumber(GetCVar("WorldTextScale")) end,
			set = function(_, newValue) SetCVar("WorldTextScale",newValue) end,
			order = 1,
		},
	},
};
LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("RogerBigDam", optionsTable);
LibStub("AceConfigDialog-3.0"):AddToBlizOptions("RogerBigDam", "RogerBigDam");
